Bug 209829 - sysutils/py-salt: Fix upstream issues #33554, #33578, #33608 and #33529
Summary: sysutils/py-salt: Fix upstream issues #33554, #33578, #33608 and #33529
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-05-29 09:09 UTC by Olli Hauer
Modified: 2016-06-15 04:41 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
fix issue #33554, #33578 and #33608 (5.63 KB, patch)
2016-05-29 09:09 UTC, Olli Hauer
no flags Details | Diff
Improved Olli Hauer patch to fix upstream errors #33554 #33578 #33608 #33529 (6.11 KB, patch)
2016-06-05 22:52 UTC, Andres Montalban
vlad-fbsd: maintainer-approval? (christer.edwards)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2016-05-29 09:09:05 UTC
Created attachment 170785 [details]
fix issue #33554, #33578 and #33608

The patch fixes some issues that are new with 2016.3.0
- https://github.com/saltstack/salt/issues/33554
- https://github.com/saltstack/salt/issues/33578
- https://github.com/saltstack/salt/issues/33608
Comment 1 Andres Montalban 2016-06-01 17:28:10 UTC
Would be great if someone can also add the fix for #33529

Thanks!
Comment 2 Andres Montalban 2016-06-05 22:52:24 UTC
Created attachment 171078 [details]
Improved Olli Hauer patch to fix upstream errors #33554 #33578 #33608 #33529

Improve #33578 patch in order to cover FreeBSD < 10.3.

Also add fix for #33529.
Comment 3 Andres Montalban 2016-06-13 14:29:30 UTC
Hey guys,

Anything I can do to have this merged?

Thanks!
Comment 4 VK freebsd_triage 2016-06-14 12:10:34 UTC
Guys, thanks for the patches. Andres, the recommended maintainer feedback request timeout is two weeks excl. holidays, so I guess in a few days, unless the maintainer responds sooner, it'll be okay to commit.
Comment 5 Kurt Jaeger freebsd_committer 2016-06-14 20:00:35 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2016-06-15 04:40:53 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2016-06-15 04:41:09 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 15 04:40:37 UTC 2016
New revision: 416914
URL: https://svnweb.freebsd.org/changeset/ports/416914

Log:
  sysutils/py-salt: Fix upstream issues #33554, #33578, #33608 and #33529

  The patch fixes some issues that are new with 2016.3.0
  - https://github.com/saltstack/salt/issues/33529
  - https://github.com/saltstack/salt/issues/33554
  - https://github.com/saltstack/salt/issues/33578
  - https://github.com/saltstack/salt/issues/33608

  PR:		209829
  Submitted by:	ohauer, Andreas Montalban <amontalban@gmail.com>
  Approved by:	christer.edwards@gmail.com (maintainer timeout)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/files/patch-salt_grains_core.py
  head/sysutils/py-salt/files/patch-salt_grains_disks.py
  head/sysutils/py-salt/files/patch-salt_modules_pkgng.py
  head/sysutils/py-salt/files/patch-salt_returners_local__cache.py
  head/sysutils/py-salt/files/patch-setup.py